/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package applicationcontroler;

import action.AbstractAction;
import action.ActionFactory;
import action.LoginAction;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author student
 */
public class ApplicationControler {

    private static ApplicationControler instanca;

    private ApplicationControler() {
    }

    public static ApplicationControler getApplicationControler() {
        if (instanca == null) {
            instanca = new ApplicationControler();
        }
        return instanca;
    }

    public String processRequest(HttpServletRequest request, String inputAction) {
//        if(action.equalsIgnoreCase("prijavise")){
//            AbstractAction loginAction = new LoginAction();
//            return loginAction.execute(request);
//        }
        AbstractAction action = ActionFactory.createActionFactory(inputAction);
        if(action!=null){
            try {
                return action.execute(request);
            } catch (Exception ex) {
                Logger.getLogger(ApplicationControler.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        return null;
    }
}
