
package ws.klijent.korisnik;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ws.klijent.korisnik package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Korisnik_QNAME = new QName("http://korisnik.ws/", "korisnik");
    private final static QName _Login_QNAME = new QName("http://korisnik.ws/", "login");
    private final static QName _LoginResponse_QNAME = new QName("http://korisnik.ws/", "loginResponse");
    private final static QName _VratiDetalje_QNAME = new QName("http://korisnik.ws/", "vratiDetalje");
    private final static QName _VratiDetaljeResponse_QNAME = new QName("http://korisnik.ws/", "vratiDetaljeResponse");
    private final static QName _VratiKorisnike_QNAME = new QName("http://korisnik.ws/", "vratiKorisnike");
    private final static QName _VratiKorisnikeResponse_QNAME = new QName("http://korisnik.ws/", "vratiKorisnikeResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ws.klijent.korisnik
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Korisnik }
     * 
     */
    public Korisnik createKorisnik() {
        return new Korisnik();
    }

    /**
     * Create an instance of {@link Login }
     * 
     */
    public Login createLogin() {
        return new Login();
    }

    /**
     * Create an instance of {@link LoginResponse }
     * 
     */
    public LoginResponse createLoginResponse() {
        return new LoginResponse();
    }

    /**
     * Create an instance of {@link VratiDetalje }
     * 
     */
    public VratiDetalje createVratiDetalje() {
        return new VratiDetalje();
    }

    /**
     * Create an instance of {@link VratiDetaljeResponse }
     * 
     */
    public VratiDetaljeResponse createVratiDetaljeResponse() {
        return new VratiDetaljeResponse();
    }

    /**
     * Create an instance of {@link VratiKorisnike }
     * 
     */
    public VratiKorisnike createVratiKorisnike() {
        return new VratiKorisnike();
    }

    /**
     * Create an instance of {@link VratiKorisnikeResponse }
     * 
     */
    public VratiKorisnikeResponse createVratiKorisnikeResponse() {
        return new VratiKorisnikeResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Korisnik }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "korisnik")
    public JAXBElement<Korisnik> createKorisnik(Korisnik value) {
        return new JAXBElement<Korisnik>(_Korisnik_QNAME, Korisnik.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Login }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "login")
    public JAXBElement<Login> createLogin(Login value) {
        return new JAXBElement<Login>(_Login_QNAME, Login.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoginResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "loginResponse")
    public JAXBElement<LoginResponse> createLoginResponse(LoginResponse value) {
        return new JAXBElement<LoginResponse>(_LoginResponse_QNAME, LoginResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiDetalje }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "vratiDetalje")
    public JAXBElement<VratiDetalje> createVratiDetalje(VratiDetalje value) {
        return new JAXBElement<VratiDetalje>(_VratiDetalje_QNAME, VratiDetalje.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiDetaljeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "vratiDetaljeResponse")
    public JAXBElement<VratiDetaljeResponse> createVratiDetaljeResponse(VratiDetaljeResponse value) {
        return new JAXBElement<VratiDetaljeResponse>(_VratiDetaljeResponse_QNAME, VratiDetaljeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiKorisnike }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "vratiKorisnike")
    public JAXBElement<VratiKorisnike> createVratiKorisnike(VratiKorisnike value) {
        return new JAXBElement<VratiKorisnike>(_VratiKorisnike_QNAME, VratiKorisnike.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiKorisnikeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://korisnik.ws/", name = "vratiKorisnikeResponse")
    public JAXBElement<VratiKorisnikeResponse> createVratiKorisnikeResponse(VratiKorisnikeResponse value) {
        return new JAXBElement<VratiKorisnikeResponse>(_VratiKorisnikeResponse_QNAME, VratiKorisnikeResponse.class, null, value);
    }

}
